Subject: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Sep 2020 19:07:50 +0300

> Date: Tue, 29 Sep 2020 15:33:55 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > How many colors do you have on the terminal where you see the problem?
> 
> 16.  The problem was that the submatch highlight was light magenta on
> dark magenta, which I just didn't see.  Maybe the colours used for
> isearch-group-1 on a 16 colour terminal are suboptimal.  They certainly
> don't work well on my Linux virtual tty.

I think on low-color-number TTYs the colors for all the subgroups
should be identical, thus effectively disabling the feature.  We don't
have enough colors to show the differences on such terminals.